Add contact to list
curl --request POST \
--url https://api.yo-lead.com/v1/contacts/{contactId}/lists \
--header 'Content-Type: application/json' \
--header 'X-YoLead-Key: <api-key>' \
--header 'X-YoLead-Signature: <api-key>' \
--header 'X-YoLead-Timestamp: <api-key>' \
--data '
{
"listId": "64f000000000000000000001"
}
'import requests
url = "https://api.yo-lead.com/v1/contacts/{contactId}/lists"
payload = { "listId": "64f000000000000000000001" }
headers = {
"X-YoLead-Key": "<api-key>",
"X-YoLead-Timestamp": "<api-key>",
"X-YoLead-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-YoLead-Key': '<api-key>',
'X-YoLead-Timestamp': '<api-key>',
'X-YoLead-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({listId: '64f000000000000000000001'})
};
fetch('https://api.yo-lead.com/v1/contacts/{contactId}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "64f000000000000000000001",
"contactId": "64f000000000000000000001",
"listId": "64f000000000000000000001",
"createdAt": "2026-05-08T12:00:00.000Z"
}
}Contacts
Add contact to list
Adds a contact to a list. Required API key scope: read-write.
POST
/
v1
/
contacts
/
{contactId}
/
lists
Add contact to list
Authorizations
Public API key generated in the YoLead UI.
Unix timestamp in milliseconds. Requests must be signed within a 5-minute window.
Hex HMAC-SHA256 signature over <timestamp>.<raw_body> using the API secret.
Path Parameters
Contact id. MongoDB ObjectId represented as a 24-character hexadecimal string.
Pattern:
^[0-9a-fA-F]{24}$Example:
"64f000000000000000000001"
Body
application/json
MongoDB ObjectId represented as a 24-character hexadecimal string.
Pattern:
^[0-9a-fA-F]{24}$Example:
"64f000000000000000000001"
Response
List member created.
Show child attributes
Show child attributes